const HManagement = [
  {
    path: '/archives_adlist',
    name: 'archives_adlist',
    meta: {
      title: '素材列表',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_ad/index.vue')
  }, {
    path: '/archives_ad_analysis',
    name: 'archives_adlist',
    meta: {
      title: '数据分析',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_ad/dataAnalysis/index.vue')
  }, {
    path: '/archives_adclass',
    name: 'archives_adclass',
    meta: {
      title: '素材分类',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_ad/archives_adclass/index.vue')
  },
  {
    path: '/role_manage',
    name: 'roles',
    meta: {
      title: '角色管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/roleManage/index.vue')
  }, {
    path: '/roleDetail',
    name: 'roles',
    meta: {
      title: '角色详情',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/roleManage/modules/role_details.vue')
  },
  {
    path: '/roleEdit',
    name: 'roles',
    meta: {
      title: '编辑角色',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/roleManage/modules/edit_role.vue')
  }, {
    path: '/account_manage',
    name: 'users',
    meta: {
      title: '账号管理',
      ast_nav: true
    },
    component: resolve => require(['@/HManagement/accountManage/index'], resolve)
  }, {
    path: '/account_details',
    name: 'users',
    meta: {
      title: '账号详情',
      ast_nav: true,
      keeproute: true
    },
    component: resolve => require(['@/HManagement/accountManage/modules/account_detail'], resolve)
  }, {
    path: '/depManage',
    name: 'depManage',
    meta: {
      title: '组织架构',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/department/index.vue'),
  }, {
    path: '/depManage/staffDetail',
    name: 'depManage',
    meta: {
      title: '员工详情',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/department/staff/detail/index.vue')
  }, {
    path: '/salermag',
    name: 'salermag',
    meta: {
      title: '营销组织',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing/index.vue')
  }, {
    path: '/add_saler',
    name: 'salermag',
    meta: {
      title: '新建业务员',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing/saler/modules/add_saler.vue')
  }, {
    path: '/saler_detail',
    name: 'salermag',
    meta: {
      title: '业务员详情',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing/saler/modules/saler_detail.vue')
  }, {
    path: '/add_agent',
    name: 'salermag',
    meta: {
      title: '新建经销商',
      ast_nav: true,
      keeproute:true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing/agent/modules/add_agent.vue')
  }, {
    path: '/edit_agent',
    name: 'salermag',
    meta: {
      title: '编辑经销商',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing/agent/modules/edit_agent.vue')
  }, {
    path: '/agent_detail',
    name: 'salermag',
    meta: {
      title: '经销商详情',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/marketing/agent/modules/agent_detail.vue')
  }, {
    path: '/notice_mag_list',
    name: 'noticemag',
    meta: {
      title: '通告管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/index.vue')
  }, {
    path: '/notice_add',
    name: 'noticemag',
    meta: {
      title: '编辑通告',
      ast_nav:true,
      keeproute:true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/list/modules/add_notice.vue')
  }, {
    path: '/notice_edit',
    name: 'noticemag',
    meta: {
      title: '编辑通告',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/list/modules/edit_notice.vue')
  }, {
    path: '/noticeclass',
    name: 'noticeclass',
    meta: {
      title: '通告板块',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/pate/index.vue')
  }, {
    path: '/notice_analysis',
    name: 'noticemag',
    meta: {
      title: '数据分析',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/notice/dataAnalysis/index.vue')
  }, {
    path: '/submit_mag',
    name: 'submit_mag',
    meta: {
      title: '提报管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/index.vue')
  }, {
    path: '/submit_add',
    name: 'submit_mag',
    meta: {
      title: '提报管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/list/modules/submit_add.vue')
  }, {
    path: '/submit_edit',
    name: 'submit_mag',
    meta: {
      title: '提报管理',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/list/modules/submit_edit.vue')
  }, {
    path: '/submit_detail',
    name: 'submit_mag',
    meta: {
      title: '提报明细',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/list/modules/content.vue')
  }, {
    path: '/submit_statistics',
    name: 'submit_mag',
    meta: {
      title: '数据分析',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/submit/dataAnalysis/index.vue')
  }, {
    path: '/archvies_mag',
    name: 'archvies_mag',
    meta: {
      title: ' 营销物料',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archvies_mag/index.vue')
  }, {
    path: '/archives_scmag',
    name: 'archives_scmag',
    meta: {
      title: '商学院管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/index.vue')
  }, {
    path: '/archives_scadd',
    name: 'archives_scmag',
    meta: {
      title: '编辑课程',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/list/modules/add.vue')
  }, {
    path: '/archives_scedit',
    name: 'archives_scmag',
    meta: {
      title: '编辑课程',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/list/modules/edit.vue')
  }, {
    path: '/archives_scdetails',
    name: 'archives_scmag',
    meta: {
      title: '课程详情',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/list/modules/details.vue')
  }, {
    path: '/archives_scclass',
    name: 'archives_scclass',
    meta: {
      title: '课程分类',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/archives_scclass/index.vue')
  },
  {
    path: '/archives_sc_analysis',
    name: 'archives_scmag',
    meta: {
      title: '数据分析',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/archives_sc/dataAnalysis/index.vue')
  }, {
    path: '/security_config',
    name: 'companyInformation',
    meta: {
      title: '站点参数设置',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/securityConfig/index.vue')
  }, {
    path: '/advertisement_mag',
    name: 'advertisement_mag',
    meta: {
      title: '广告位管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/advertisement_mag/index.vue')
  }, {
    path: '/coderule',
    name: 'coderule',
    meta: {
      title: '编码规则管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/coderule/index.vue')
  },{
    path: '/custom_option',
    name: 'custom_option',
    meta: {
      title: '自定义选项分类',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/custom_option/index.vue')
  },{
    path: '/messageSendtype',
    name: 'messageSendtype',
    meta: {
      title: '消息提醒设置',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/siteManage/messageSendtype/index.vue')
  }, {
    path: '/clue_import',
    name: 'orderclueupload',
    meta: {
      title: '线索管理',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_import/index.vue')
  }, {
    path: '/importClueDetail',
    name: 'orderclueupload',
    meta: {
      title: '线索管理',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_import/detailPage/index.vue')
  }, {
    path: '/clue_public',
    name: 'orderclue_public',
    meta: {
      title: '线索管理-公海',
      ast_nav: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_public/index.vue')
  }, {
    path: '/clueDetail',
    name: 'orderclue_public',
    meta: {
      title: '线索详情-公海',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_public/modules/detail.vue')
  }, {
    path: '/clue_private',
    name: 'orderclue_private',
    meta: {
      title: '线索管理-私域',
      ast_nav: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_private/index.vue')
  }, {
    path: '/clueDetail_private',
    name: 'orderclue_private',
    meta: {
      title: '线索详情-私域',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_private/modules/detail.vue')
  }, {
    path: '/clue_rule',
    name: 'ordercluerule',
    meta: {
      title: '分配规则',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/clue_rule/index.vue')
  }, {
    path: '/marketing_activity',
    name: 'marketing_activity',
    meta: {
      title: '市场活动',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/m_activity/index.vue')
  },{
    path: '/marketing_activityDetails',
    name: 'marketing_activity',
    meta: {
      title: '活动详情',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/clueManage/m_activity/modules/details.vue')
  },{
    path: '/personalTarget',
    name: 'personalTarget',
    meta: {
      title: '人员目标',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/personalTarget/target/index')
  },{
    path: '/personalTargetStatistics',
    name: 'personalTargetStatistics',
    meta: {
      title: '人员目标统计',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/personalTarget/personalTargetStatistics/index')
  },{
    path: '/personalTarget_edit',
    name: 'personalTarget',
    meta: {
      title: '编辑人员目标',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/personalTarget/target/modules/edit/index')
  },{
    path: '/mProjectTarget',
    name: 'mProjectTarget',
    meta: {
      title: '项目目标',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/projectTarget/target/index')
  },
  {
    path: '/projectTarget_edit',
    name: 'mProjectTarget',
    meta: {
      title: '编辑项目目标',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/projectTarget/target/modules/edit/index')
  },{
    path: '/projectTargetStatistics',
    name: 'projectTargetStatistics',
    meta: {
      title: '项目目标统计',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/projectTarget/projectTargetStatistics/index')
  },{
    path: '/salesForecastTemplate',
    name: 'salesForecastTemplate',
    meta: {
      title: '销售预测模板设置',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/salesForecastTemplate/index')
  },
  {
    path: '/salesForecastDetail',
    name: 'salesForecastTemplate',
    meta: {
      title: '销售预测模板设置',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/salesForecastTemplate/modules/forecastDetail')
  },
  
  {
    path: '/phonebook',
    name: 'phonebook',
    meta: {
      title: '我的联系人',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/addressList/mycontact/index')
  },{
    path: '/phonebookGroup',
    name: 'phonebookGroup',
    meta: {
      title: '我的群组',
      ast_nav: true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HManagement/addressList/mygroup/index')
  }
  
]
export default HManagement